ifndef CFLAGS
#	CFLAGS	= -s
	CFLAGS=-O -s 
#	CFLAGS	= -g -DDEBUG
endif

ifndef CNF
	CNF = -DCONFIG_PATH=\".\"
endif

MYSQLLIB=/usr/local/lib/mysql
MYSQLINC=/usr/local/include/mysql

CFLAGS += -I/usr/include/ncurses -I$(MYSQLINC) \
          -I../libscr -I../libutil $(CNF)

LOADLIBES+=../libdev/libiceBdev.a ../libutil/libutil.a ../libscr/libscr.a\
	 $(MYSQLLIB)/libmysqlclient.a -lncurses -lm \
         ../libconfig/libconfig.a

PROrozn= rozn.o dirmat1.o matnast.o dirmatr1.o rozprod.o rozvse.o rozsvod.o provud.o \
        ostdok1.o praisl.o ostkar.o devices.o sozdmas.o poivcur.o\
        ostdok.o nomkr.o prsh.o\
        zapkar.o zapvdok.o zapvkr.o vivost.o podvdok.o \
        prdpp.o readkolk.o prospr.o sqlfiltr.o \
        sql_openbaz.o sql_closebaz.o sql_error.o sql_opencur.o \
        sql_closecur.o sql_seekcur.o sql_zap.o sql_readcur.o sql_readkey.o

rozn:	$(PROrozn) rozn.mak $(LOADLIBES)
	cc $(CFLAGS) $(PROrozn) -o rozn $(LOADLIBES)
