ifndef CFLAGS
#	CFLAGS	= -s
	CFLAGS=-O -s 
#	CFLAGS	= -g -DDEBUG
endif

ifndef CNF
	CNF = -DCONFIG_PATH=\".\"
endif
MYSQLLIB=/usr/lib/mysql
MYSQLINC=/usr/include/mysql

CFLAGS += -I/usr/include/ncurses -I$(MYSQLINC) \
          -I../libscr -I../libutil $(CNF)

LOADLIBES+=../libdev/libiceBdev.a ../libutil/libutil.a ../libscr/libscr.a\
	 $(MYSQLLIB)/libmysqlclient.a -lncurses -lm \
	../libconfig/libconfig.a

PROxdk= xdk.o \
        avtprpld.o\
        broscan.o\
        dirmat1.o dirkontr.o dirpzpd.o dirprpd.o dirskont.o dirobq.o\
        nalish.o nastdk.o nomdok.o\
        paspddos.o pgpld.o platdok.o pld.o poivcur.o provud.o provpd.o prsh.o \
        peshetn.o printpp.o printpt.o\
        rasobqv.o readpdok.o\
        salorok.o salork.o smpld.o sumprpd.o sumpzpd.o \
        sqlfiltr.o sql_openbaz.o sql_closebaz.o sql_error.o sql_opencur.o \
        sql_closecur.o sql_seekcur.o sql_zap.o sql_readcur.o sql_readkey.o\
        vkontr.o vzrkbz.o\
        udpld.o udprgr.o udprov.o udpdok.o\
        zappdok.o zapprov.o

xdk:	$(PROxdk) xdk.mak $(LOADLIBES)
	cc $(CFLAGS) $(PROxdk) -o xdk $(LOADLIBES)
