ifndef CFLAGS
#	CFLAGS	= -s
	CFLAGS=-O -s 
#	CFLAGS	= -g -DDEBUG
endif

ifndef CNF
	CNF = -DCONFIG_PATH=\".\"
endif
MYSQLLIB=/usr/local/lib/mysql
MYSQLINC=/usr/local/include/mysql

CFLAGS += -I/usr/include/ncurses -I$(MYSQLINC) \
          -I../libscr -I../libutil $(CNF)

LOADLIBES+=../libdev/libiceBdev.a ../libutil/libutil.a ../libscr/libscr.a\
	 $(MYSQLLIB)/libmysqlclient.a -lncurses -lm \
         ../libconfig/libconfig.a

PROxuos= xuos.o \
        amort.o\
        broscan.o bsiz.o\
        diramort.o dirmat1.o dirkontr.o diros.o\
        poiin.o poiinpd.o poivcur.o provud.o prsh.o puzap.o pudok.o\
        rasnas.o\
        salorok.o\
        sqlfiltr.o sql_openbaz.o sql_closebaz.o sql_error.o sql_opencur.o \
        sql_closecur.o sql_seekcur.o sql_zap.o sql_readcur.o sql_readkey.o\
        uosnast.o uosdok.o uoskar.o uosvdok.o\
        vkontr.o vos.o

xuos:	$(PROxuos) xuos.mak $(LOADLIBES)
	cc $(CFLAGS) $(PROxuos) -o xuos $(LOADLIBES)
