#include <stdio.h>
/* #define DEBUG 1 */
#include "libconfig.h"

char usage[] = { "Usage:\n\tconfig_put <config_file> <section> <var> <value>\n\n" };

int main(int argc, char *argv[])
{
  config_t foo;
  int i;

  int t, count;
  char *svar;

  if (argc != 5) {
     fprintf(stderr, usage);
     exit(2);
  }
    
  config_new(&foo);  
  if(config_read(&foo, argv[1],
		 CS_INI, NULL)) {
	perror(argv[1]);
	exit(2);
  };

  if ((i = config_set(foo, argv[2], argv[3], NULL,
	       CHARPTR_T, argv[4], 0)) != 0) exit(1);
	       
  if (config_write(foo, NULL, CS_INI, NULL)) exit(2);

  config_destroy(&foo);
  return 0;
}
