#include <stdio.h>
/* #define DEBUG 1 */
#include "libconfig.h"

int main(int argc, char *argv[])
{
  config_t foo;
  int i;

  int t, count;
  char *svar;
  
  
  if(config_read(&foo, (argc > 1)?argv[1]:"/etc/smb.conf",
		 CS_INI, NULL)) {
	puts("config_read failed");
	exit(1);
  } else {
    puts("config_read succeeded");
  }

  config_dump(foo, stdout);

  if ((i = config_get(foo, "SCANNER", "device", NULL,
	       &t,(void**) &svar, &count)) == 0) {
    printf("device = %s\n", svar);
  } else printf("error %d\n", i);

  if ((i = config_get(foo, "SCANNER", "prefix", NULL,
	       &t,(void**) &svar, &count)) == 0) {
    printf("prefix = %s\n", svar);
  } else printf("error %d\n", i);
  
  if((i = config_write(foo, "cout", CS_GUESS, NULL))) {
    printf("config_write failed: %d\n", i);
  } else {
    puts("config_write succeeded");
  }
  puts("Doing destroy");
  config_destroy(&foo);
  return 0;
}
