/* $Id: chiper.c,v 1.1 1999/10/04 18:48:13 maxime Exp $ */
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <sys/types.h>
#include <math.h>
#include <libconfig.h>
#include "libdev.h"
#include "local.h"

#define default_timeout 10.0

read_int() {
  uchar buf[BUFSIZE];
  int i, l;

 l = read(fileno(stdin), buf, BUFSIZE-1);
/* l = 1;
 buf[0] = getch();
*/

#ifdef DEBUG
  fprintf(stderr, "KEYBOARD INTERRUPT:(%d)\n", l);
  for (i=0; i<l; i++) if (buf[i] > '\040') fputc(buf[i], stderr);
                      else fprintf(stderr, " ^%c ", buf[i]+64);
  fputc('\n', stderr);
#endif
/*
  if ((buf[0] == 'q') || (buf[0] == 'Q')) return(1);
  else 
*/
return(1);
}

show_cod(uchar *cod) {
  int i;
  printf("CODE: ");
  for (i=0; i<strlen(cod); i++) if ((cod[i] & 0377) > '\040') putchar(cod[i]);
                      else printf(" ^%c ", cod[i]+64);
  putchar('\n');
}

show_error(uchar *msg) {
  fprintf(stderr, "%s\n", msg);
  sleep(1);
}


main() {
  config_t foo;
  uchar buf[BUFSIZE];
  int i;
  char *port_name;
  double timeout;
  char *p;

  timeout = default_timeout;
  port_name = default_port_name;

  if (p=getenv("HOME")) strncpy(buf, p, BUFSIZE-30);
  else strcpy(buf, ".");
  strcat(buf, "/");
  strncat(buf, CONFIG_INI, 29);
  config_new(&foo);
  if(config_read(&foo, buf, CS_INI, NULL)) {
	perror(buf);
  } else {
    fprintf(stderr, "Reading config file ...\n");
    read_vars(&foo, "SCANNER", 
  	     "device", CHARPTR_T, &port_name,
             "timeout", FLOAT_T, &timeout,
             NULL);

    config_destroy(&foo);
  }
  
#ifdef DEBUG
  printf("Port: %s\n", port_name);
  printf("Timeout=%f\n", timeout);
#endif    

//  initscr();
//  cbreak();
  printf("Click scanner's button for reading code, or press Enter for exit...\n");
  while ((i=scan(port_name, timeout, buf, &read_int)) > 0) {
     show_cod(buf);
  }
  printf("Exit code: %d", i);

//  endwin();
}

