/* $Id: era.c,v 1.1 1999/10/04 18:48:13 maxime Exp $ */
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <sys/types.h>
#include <math.h>
#include <libconfig.h>
#include "libdev.h"
#include "local.h"

#define default_passwd "00000"

int kbint=0;

menu(char *title, ...)
{
  va_list ap;
  char *p;
  int  i;

  printf("\n%s:\n\n", title);
  i = 0;
  va_start(ap, title);
    while ((p = va_arg(ap, char*)) != NULL) printf("\t%2d - %s\n", i++, p);
  va_end(ap);
  printf("\n ¦: ");
  scanf("%d", &i);
  return(i);
}

main() {

int i, j;
int fp;
config_t foo;
char *port_name;
char *ps, *p;
char buf[BUFSIZE];
tovar_info *ti, *ti0;

  port_name = NULL;
  ps = default_passwd;

  if (p=getenv("HOME")) strncpy(buf, p, BUFSIZE-30);
  else strcpy(buf, ".");
  strcat(buf, "/");
  strncat(buf, CONFIG_INI, 29);
  config_new(&foo);
  if(config_read(&foo, buf, CS_INI, NULL)) {
	perror(buf);
  } else {
    fprintf(stderr, "Reading config file ...\n");
    read_vars(&foo, "APARAT", 
  	     "device", CHARPTR_T, &port_name,
  	     "password", CHARPTR_T, &ps,
             NULL);

    config_destroy(&foo);
  }

#ifdef DEBUG
  printf("Port: %s\n", port_name);
  printf("Password=%s\n", ps);
#endif    

if ((fp=era_open(port_name)) == -1) {
   perror(port_name);
   exit(1);
}

//  zapros_info(fp);

  while (i = menu("  ", 
      " ", 
      " ",
      " צ  ",
      " צ   Ҧ",
      " æ   ",
      " צ   ",
      NULL )) {

       switch (i) {
       case 1:
              for (j=1; j<100; j++) {
              i=era_prog_tovar(fp, 
                ps,     /* 			*/
              	j, 	/*   1-2500 		*/
              	"AAA", /*  12  	*/
              	0, 	/*   0-4 		*/
              	1, 	/*   1-32 	*/
              	"", 	/* -, 13  	*/
              	21, 	/*  0-31 			*/
              	0, 	/*  - ?             */
              	0, 	/*   ?          */
                1.50, 	/*   		*/
                10.00);	/*   () 	*/
              }

              break;
       case 2:
       	      printf("   : ");
       	      scanf("%d", &i);
       	      printf("  ˦: ");
       	      scanf("%d", &j);
              i=otch_tovar(fp, ps, i, j);
              break;
       case 3:
       	      printf("   : ");
       	      scanf("%d", &i);
       	      printf("  ˦: ");
       	      scanf("%d", &j);
              i=otch_ost(fp, ps, i, j);
              break;
       case 4:
       	      i=zapros_info(fp, ps);
       	      break;
       case 5:
       	      printf("   : ");
       	      scanf("%d", &i);
       	      printf("  ˦: ");
       	      scanf("%d", &j);
              i = era_otch_tovar (fp, ps, i, j, &ti0);
              ti = ti0;
              printf(": %d. ̦:\n", i);
              while ((i>0) && ti) {
                printf(" (%d): %s; =%d; =%g\n", 
                   ti->cod, ti->name, ti->num, ti->sum);
                ti = ti->next;
              }
              free_tovar_list(&ti0);
              break;
       }

       printf("result=%d\n", i);
  }

 era_close();

}
