/* $Id: scr.h,v 1.1 1999/10/04 19:00:54 maxime Exp $
04.03.1999	04.03.1999	 ..	iceBscr.h
*/

#ifdef HAVE_NCURSES
#include 	<ncurses.h>
#include        <term.h>
#else
#ifdef HAVE_STDCURSES
#include	<curses.h>
#include        <tinfo.h>
#include        <term.h>
#else
#error "You MUST define NCURSES or STDCURSES"
#endif
#endif

/*
  3
*/
#define MAX3X 80
#define MAX3Y 22
#define MAXKM 5  /*   */

struct M2
 {
  char              MD[MAX3Y][MAX3X]; /*  */
  long              CB[MAXKM];         /*  */
  long    CFM[MAXKM];        /* */
  long    CFS[MAXKM];        /*  */
  long    CFV[MAXKM];        /*    */
  long    CFR[MAXKM];        /* */
  int               PX,PY;      /* */
  char              PO[2];      /*   */
  char              VE[2];      /*   */
  char              PVU[2],LVU[2];  /*     */
  char              PNU[2],LNU[2];  /*     */
  char              TENN[4];        /* */
  int               TEN;            /*   0- 1-*/
 }LL;

/*
    
*/
extern void		clearstr(short,short);
extern int		danet(struct M2 *,short,short);
extern void		ERROR1(char[],int,char[]);
extern void		error2(short,short,short,char[]);
extern void		gdite(void);
extern int		init_screen();
extern int		menu3(struct M2 *,int,int,int);
extern int		MENU4(struct M2 *,int,int,int,int(*)(),char[],int);
extern int 		mygetstr(char[], int, WINDOW *);
extern void		OSTANOV(void);
extern int		ostanov1(char[]);
extern void		ramka(short*,short*,short*,int);
extern int		soobsh(struct M2 *,int);
extern int		vvod(struct M2 *,int,int,int);
extern int		vvod1(char[],short,struct M2 *,short,int(*)());
extern void		helstr(int,int,...);
extern void		zagstr(int,int,long,long);
extern void		strzag(int,int,long,long);

/*
    
*/
#define        SUP     KEY_UP  /*  */
#define        SDN     KEY_DOWN  /*   */
#define        SRITH   KEY_RIGHT  /* */
#define        SLEFT   KEY_LEFT  /*  */
#define        ENTER   10  /* */
#define        ESC     27  /*ESC    */
#define        UMN     42  /*"*"    */
#define        OTN     45  /*"-"    */
#define        PLU     43  /*"+"    */
#define        DEL     47  /*"/"    */
#define        NOL     48  /*"0"    */

#define        FK1      KEY_F0+1
#define        FK2      KEY_F0+2
#define        FK3      KEY_F0+3
#define        FK4      KEY_F0+4
#define        FK5      KEY_F0+5  /*  */
#define        FK6      KEY_F0+6
#define        FK7      KEY_F0+7
#define        FK8      KEY_F0+8
#define        FK9      KEY_F0+9
#define        FK10     KEY_F0+10

#define        SFK1      KEY_F0+13
#define        SFK2      KEY_F0+14
#define        SFK3      KEY_F0+15
#define        SFK4      KEY_F0+16
#define        SFK5      KEY_F0+17  /*  */
#define        SFK6      KEY_F0+18
#define        SFK7      KEY_F0+19
#define        SFK8      KEY_F0+20
#define        SFK9      KEY_F0+21
#define        SFK10     KEY_F0+22

#define        PD       KEY_NPAGE  /*  */
#define        PU       KEY_PPAGE  /*  */
#define        INS      KEY_IC  /* a Insert*/
#define        HOME     KEY_HOME  /* a Home  */
#define        END      KEY_END  /* a End   */
#define        DELETE   KEY_DC  /* a Delete*/
#ifdef __linux__
#define        BACK     KEY_BACKSPACE    /* a BackSpase*/
#else
#define        BACK     8    /* a BackSpase*/
#endif

#define        TAB      9    /* a Tab*/

