/* $Id: pg_sozsqlbaz.c,v 1.6 1999/10/15 16:04:55 maxime Exp $ */
/*19.06.1999	25.01.1999	 ..	sozsqlbaz.c
  SQL  
mysqladmin    

*/
#include	<stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include	"mysql_common.h"
#include	"scr.h"

/*#define N_ZAP 20*/
char *Query[] = {
  /*1*/"CREATE TABLE Plansh(ns text not null primary key, nais text, tips int2, vids int2, ktoi int4, vrem int4)",
       /*
	 ns	 
	 nais    
	 tips   0- 1- 2-- 3-  
	 vids   0- 1-
	 ktoi    
	 vrem    
       */
       /*2*/"CREATE TABLE Kontragent (kodkon char(20) not NULL primary key, naikon varchar(80) unique not null, naiban varchar(80), adres  varchar(100), adresb varchar(100), kod    char(20) not null, mfo    char(20), nomsh  char(20), innn   char(20), nspnds char(20), telef  varchar(80), grup   char(10), ktoz   int4, vrem   int4, dogov  varchar(80))",
       /*
	 kodkon  
	 naikon  
	 naiban  
	 adres   
	 adresb  
	 kod     
	 mfo    
	 nomsh   
	 innn     
	 nspnds    
	 telef  
	 grup   
	 ktoz    
	 vrem    
       */
       /*3*/"CREATE INDEX Kontragent_i1 on Kontragent (kod)",
       /*4*/"CREATE TABLE Skontr (ns	char(20) unique not null references Plansh, kodkon  char(20) unique not null references Kontragent, ktoi    int2, vrem    int4)",
       /*5*/"CREATE TABLE Saldo (kkk char(2) not null, gs int2 not null, ns char(20) not null references Plansh, kodkon char(20) not null references Kontragent, deb float8, kre float8, ktoi  int2, vrem  int4)",
       /*6*/"CREATE INDEX Saldo_i1 ON Saldo (kkk,gs,ns)",
       /*7*/"CREATE TABLE Prov (val int2 not null, datp DATE not null, sh char(12) not null, shk char(12) not null, kodkon char(12) not null, kto char(8) not null, nomd char(20) not null, pod int2 not null, oper char(8), deb float8, kre float8, ktoi int4, vrem int4, komen varchar(100), datd DATE not null)",
       /*8*/"CREATE INDEX Prov_i1 on Prov (val,datp,sh,shk)",
       /*9*/"CREATE INDEX Prov_i2 on Prov (kto,pod,nomd,datd)",
       /*10*/"CREATE TABLE Grup (kod int4 not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*11*/"CREATE TABLE Edizmer (kod  char(10) not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*12*/"CREATE TABLE Material (kodm int not NULL primary key, kodgr smallint not null references Grup, naimat varchar(60) unique not null, strihkod varchar(50) not null, ei char(8) not null references Edizmer, kriost float8, cenapr float8, krat float8, fasv float8, kodt int, ktoz int4, vrem int4, nds  float8, msp int4)",
       /*13*/"CREATE INDEX Material_i1 on Material (strihkod)",
       /*
	 kodm       
	 kodgr       
	 naimat     
	 strihkod  -
	 ei         
	 kriost     
	 cenapr     
	 krat      
	 fasv      
	 kodt       
	 ktoz       
	 vrem       
	 nds       
	 msp         
       */
       /*14*/"CREATE TABLE Prihod (kod char(10) not null primary key, naik varchar(60), ktoz int4, vrem	int4, vido int4)",
       /*15*/"CREATE TABLE Rashod (kod char(10) not null primary key, naik varchar(60), ktoz int4, vrem	int4, vido int4, sheta varchar(100))",
       /*16*/"CREATE TABLE Foroplat (kod char(10) not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*17*/"CREATE TABLE Sklad (kod int4 not null primary key, naik varchar(60), fmol varchar(30), dolg varchar(30), ktoz int4, vrem int4)",
       /*
	 kod      
	 naik     
	 fmol      
	 dolg    
       */
       /*18*/"CREATE TABLE Roznica (datrp DATE not null, kassa int4 not null, nomer int4 not null, kodm int4 not null references Material (kodm), ei char(8) not null references Edizmer (kod), kolih float8, cena float8, nds float8, sklad int4 not null, ktoi int4, vrem int4, unique(datrp,kassa,nomer,kodm))",
       /*19*/"CREATE INDEX Roznica_i1 on Roznica (kodm, sklad)",
       /*20*/"CREATE TABLE Dokummat (tip smallint, datd   DATE not null, sklad  smallint not null references Sklad (kod), kontr  char(20) not null references Kontragent (kontr), nomd   char(16) not null, nomnn  char(16) not null, kodop  char(8), pod    smallint, pro    smallint, ktoi int4, vrem int4, nomon  char(16))",
       /*
	 tip    1- 2-
	 datd   
	 sklad   
	 kontr   
	 nomd    
	 nomnn    
	 kodop   
	 pod    0-  1-
	 pro    0-   1-
	 ktoi    
	 vrem    
	 nomon    
       */
       /*21*/"CREATE INDEX Dokummat_i1 on Dokummat (datd, sklad, nomd)",
       /*22*/"CREATE INDEX Dokummat_i2 on Dokummat (datd)",
       /*23*/"CREATE INDEX Dokummat_i3 on Dokummat (nomnn)",
       /*24*/"CREATE TABLE Dokummat1 (datd DATE not null, sklad  smallint not null references Sklad (kod), nomd   char(16) not null, nomkar int not null, kodm   int not null references Material (kodm), kolih float8, cena float8, ei char(8) not null references Edizmer (kod), voztar smallint, nds float8, mnds   smallint, ktoi int4, vrem int4, vozv float8, othod float8, dogruz float8, tipz   smallint)",
       /*
	 god 
	 mes    
	 den 
	 sklad  
	 nomd    
	 nomkar  
	 kodm    
	 kolih  
	 cena   
	 ei      
	 voztar 1-  
	 nds    
	 mnds   1-    
	 ktoi    
	 vrem    
	 vozv   
	 othod  
	 dogruz 
	 tipz   1- 2-
       */
       /*25*/"CREATE INDEX Dokummat1_i1 on Dokummat1 (sklad, nomd, kodm, nomkar)",
       /*26*/"CREATE INDEX Dokummat1_i2 on Dokummat1 (sklad, nomkar)",
       /*27*/"CREATE INDEX Dokummat1_i3 on Dokummat1 (kodm, sklad)",
       /*28*/"CREATE TABLE Dokummat2 (god smallint not null, sklad smallint not null references Sklad (kod), nomd char(16) not null, nomerz smallint not null, sodz varchar(80), unique(god,nomd,sklad,nomerz))",
       /*
	 nz = 1 - / 
	 2 -  
	 3 - 
	 4 - 
	 5 - 
	 6 -    
	 7 -  
	 8 -  
	 9 -     
	 10 -  
	 11 - 
	      0 20% .
	      1 0%     .
	      2 0%  .
	      3 0%     5.
	 12 -   
	 13 -     + -
	 14 -   
       */
       /*29*/"CREATE TABLE Dokummat3 (datd  DATE not null, sklad  smallint not null references Sklad (kod), nomd char(16) not null, ei char(12), kolih float8, cena float8, nds float8, naimu varchar(100), ktoi int4, vrem int4)",
       /*30*/"CREATE INDEX Dokummat3_i1 on Dokummat3 (datd, sklad, nomd)",
       /*31*/"CREATE TABLE Kart (sklad smallint not null references Sklad (kod), nomk int4 not null, kodm int4 not null references Material (kodm), mnds smallint not null, ei char(8) not null references Edizmer (kod), shetu   char(12) not null references Plansh (ns), cena float8 not null, cenap float8 not null, krat float8 not null, nds float8 not null, fas float8 not null, kodt int4, ktoi int4, vrem int4, unique (sklad,nomk), unique (kodm,sklad,shetu,cena,ei,nds,cenap,krat,mnds) )",
       /*
	 skl;  
	 nk;   
	 kodm;  
	 kgrm;     
	 mnds;   0-   1-  
	 ei    
	 shu   
	 cena     
	 cenap        
	 krt;     
	 nds;     ..
	 fas;     
	 kodt;     
	 ktoi;     
	 time;     
       */
       /*32*/"CREATE TABLE Zkart (sklad  smallint not null references Sklad (kod), nomk int not null, nomd char(16) not null, datdp	DATE not null, datd DATE not null, tipz smallint, kolih float8, cena float8, ktoi int4, vrem int4, unique (sklad,nomk,nomd,datdp))",
       /*
	 gp,mp,dp;   - 
	 nomd  
	 sklad; 
	 nomk  
	 god,mes,den;    
	 tipz  1 -  2 - 
	 kolih;    
	 cena;    
	 ktoi;  
	 vrem  
	 
	 gr,mr,dr   
	 
       */
       /*33*/"CREATE INDEX Zkart_i1 on Zkart (datd, nomd, sklad, nomk)",
       /*34*/"CREATE INDEX Zkart_i2 on Zkart (datdp)",
       /********************************/
       /*     */
       /*********************************/
       /*35*/"CREATE TABLE Kartb (tabn int not null primary key, fio  varchar(60) not null, dolg varchar(60), zvan smallint, podr int, kateg smallint, datn DATE, datk DATE, shet char(12), sovm smallint, inn  char(15), adres varchar(100), nomp varchar(30), vidan varchar(100), telef varchar(50), kodg smallint, harac varchar(50), lgoti varchar(30))",
       /*
	 tabn   
	 fio     
	 dolg  
	 zvan  
	 podr  
	 kateg 
	 datn    
	 datk    
	 shet   
	 sovm   
	 inn     
	 adres 
	 nomp   
	 vidan    
	 telef 
	 kodg     
       */
       /*36*/"CREATE INDEX Kartb_i1 on Kartb (fio)",
       /*37*/"CREATE TABLE Nash (kod smallint not null primary key, naik    varchar(60) not null, shet    char(12), kodt    smallint, vidn    char(2), ktoz int4, vrem int4)",
       /*
	 kod	 
	 naik     
	 shet        
	 kodt         
	 vidn    - - -    
       */
       /*38*/"CREATE TABLE Uder (kod smallint not null primary key, naik varchar(60), shet varchar(12), ktoz int4, vrem int4)",
       /*
	 kod	 
	 naik     
	 shet        
       */
       /*39*/"CREATE TABLE Podr (kod smallint not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*
	 kod	 
	 naik     
       */
       /*40*/"CREATE TABLE Kateg (kod smallint not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*
	 kod	 
	 naik     
       */
       /*41*/"CREATE TABLE Zvan (kod smallint not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*
	 kod	 
	 naik     
       */
       /*42*/"CREATE TABLE Gnali (kod smallint not null primary key, naik varchar(60), kontr char(20), ktoz int4, vrem int4)",
       /*
	 kod	 
	 naik     
       */
       /*43*/"CREATE TABLE Tabel (kod smallint not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*
	 kod	 
	 naik     
       */
       /*44*/"CREATE TABLE Zsal (god smallint not null, tabn int not null, saldo float8, ktoz int4, vrem int4, unique(god,tabn))",
       /*
	 god	
	 tabn	 
	 saldo    
       */
       /*45*/"CREATE TABLE Ztab (god smallint not null, mes smallint not null, tabn    int not null, kodt    smallint, dnei    float8, has float8, kdnei float8, datn DATE, datk    DATE, ktoz int4, vrem int4)",
       /*
	 god	
	 mes     
	 tabn	 
	 kodt     
	 dnei     
	 has      
	 kdnei     
	 datn     
	 datk     
       */
       /*46*/"CREATE INDEX Ztab_i1 on Ztab (god, mes, tabn)",
       /*47*/"CREATE TABLE Zarp (datz DATE not null, tabn    int not null, prn     char(2) not null, knah    smallint not null, suma float8, shet    char(12), godn    smallint not null, mesn    smallint not null, kdn     smallint, nomz    smallint not null, ktoz int4, vrem int4, kom varchar(40), unique(datz,tabn,prn,knah,godn,mesn,nomz))",
       /*
	 datz     
	 tabn	 
	 prn	1-  2 
	 knah	 
	 suma	 /
	 shet    
	 godn     /
	 mesn     /
	 kdn        
	 nomz     
	 kom     
       */
       /*48*/"CREATE TABLE Zarn (god	smallint not null, mes	smallint not null, podr    int not null, tabn	int not null, kateg   smallint, sovm	smallint, zvan	smallint, shet	varchar(20), lgot	varchar(60), unique(tabn,god,mes))",
       /*
	 god	
	 mes	
	 podr    
	 kateg   
	 tabn	 
	 sovm	0- 1-
	 zvan	 
	 shet	 
	 lgot	
       */
       /*49*/"CREATE index Zarn_i1 on Zarn (god, mes, podr)",
       /*50*/"CREATE TABLE Zarn1 (tabn	int not null, prn	smallint not null, knah    smallint not null, datd    DATE, shet	varchar(20), unique(tabn,prn,knah))",
       /*
	 tabn	 
	 prn	1- 2 
	 knah     /
	 datd        /
	 shet	
       */
       /***********************************************************/
       /*      */
       /************************************************************/
       /*51*/"CREATE TABLE Pltp (datd DATE not null, nomd varchar(20) not null, oper varchar(12), suma float8, nds float8, uslb float8, shet varchar(20), plat	varchar(255), polu    varchar(255), podt    char(2), prov    char(2), vidpl   char(2), ktoz int4, vrem int4, unique(datd,nomd))",
       /*
	 datd	 
	 nomd     
	 oper     
	 suma	 
	 nds     
	 uslb       
	 shet          
	 plat	 
	 polu     
	 podt    0-  1- 
	 prov    0-  1-
	 vidpl     ,,
       */
       /*52*/"CREATE TABLE Pltpz (datd	DATE not null, nomd    varchar(20) not null, mz      smallint, nz      smallint, zapis   varchar(255))",
       /*
	 datd	 
	 nomd     
	 mz       
	         0-  
	 nz       
	 zapis    
       */
       /*53*/"CREATE INDEX Pltpz_i1 on Pltpz (datd, nomd)",
       /*54*/"CREATE TABLE Pltt (datd DATE not null, nomd varchar(20) not null, oper varchar(12), suma float8, nds float8, uslb float8, shet varchar(20), plat	varchar(255), polu    varchar(255), podt    char(2), prov    char(2), vidpl   char(2), ktoz int4, vrem int4)",
       /*
	 datd	 
	 nomd     
	 oper     
	 suma	 
	 nds     
	 uslb       
	 shet          
	 plat	 
	 polu     
	 podt    0-  1- 
	 prov    0-  1-
	 vidpl     (   )
       */
       /*55*/"CREATE INDEX Pltt_i1 on Pltt (datd, nomd)",
       /*56*/"CREATE TABLE Plttz (datd	DATE not null, nomd    varchar(20) not null, mz      smallint, nz      smallint, zapis   varchar(255))",
       /*
	 datd	 
	 nomd     
	 mz       
	         0-  
	 nz       
	 zapis    
       */
       /*57*/"CREATE INDEX Plttz_i1 on Plttz (datd, nomd)",
       /*58*/"CREATE TABLE Tpltt (datd	DATE not null, nomd    varchar(20) not null, oper    varchar(12), suma float8, nds float8, uslb float8, shet varchar(20), plat	varchar(255), polu    varchar(255), podt    char(2), prov    char(2), vidpl   char(2), ktoz int4, vrem int4)",
       /*
	 datd	 
	 nomd     
	 oper     
	 suma	 
	 nds     
	 uslb       
	 shet          
	 plat	 
	 polu     
	 podt    0-  1- 
	 prov    0-  1-
	 vidpl     
       */
       /*59*/"CREATE INDEX Tpltt_i1 on Tpltt (datd, nomd)",
       /*60*/"CREATE TABLE Tplttz (datd	DATE not null, nomd    varchar(20) not null, mz      smallint, nz      smallint, zapis   varchar(255))",
       /*
	 datd	 
	 nomd     
	 mz       
   	         0-  
	 nz       
	 zapis    
       */
       /*61*/"CREATE INDEX Tplttz_i1 on Tplttz (datd, nomd)",
       /*62*/"CREATE TABLE Tpltp (datd DATE not null, nomd varchar(20) not null, oper varchar(12), suma float8, nds float8, uslb float8, shet varchar(20), plat	varchar(255), polu    varchar(255), podt    char(2), prov    char(2), vidpl   char(2), ktoz int4, vrem int4)",
       /*
	 datd	 
	 nomd     
	 oper     
	 suma	 
	 nds     
	 uslb       
	 shet          
	 plat	 
	 polu     
	 podt    0-  1- 
	 prov    0-  1-
	 vidpl     ,,
       */
       /*63*/"CREATE INDEX Tpltp_i1 on Tpltp (datd, nomd)",
       /*64*/"CREATE TABLE Tpltpz (datd	DATE not null, nomd    varchar(20) not null, mz      smallint, nz      smallint, zapis   varchar(255))",
       /*
	 datd	 
	 nomd     
	 mz       
	         0-  
		 nz       
		 zapis    
       */
       /*65*/"CREATE INDEX Tpltpz_i1 on Tpltpz (datd, nomd)",
       /*66*/"CREATE TABLE Opltp (kod char(10) not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*67*/"CREATE TABLE Opltt (kod char(10) not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*68*/"CREATE TABLE Obqvka (datd	DATE not null, nomd varchar(20) not null, suma float8, kodop varchar(8), fio	varchar(40), prov char(2), podt char(2), ktoz	 int4, vrem int4, unique(datd,nomd))",
       /*
	 datd	 
	 nomd	 
	 suma     
	 kodop    
	 fio	  
	 prov    0-   1-
	 podt    0-  1-
       */
       /*69*/"CREATE TABLE Oznvb (kod char(10) not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*70*/"CREATE TABLE Ktnp (kod char(10) not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*71*/"CREATE TABLE Ktnt (kod char(10) not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*72*/"CREATE TABLE Ksn (kod char(10) not null primary key, naik varchar(60), ktoz int4, vrem int4)",
       /*73*/"CREATE TABLE Pzpd (tp smallint not null, datd DATE not null, datp	DATE not null, nomd varchar(20) not null, suma float8, ktoz int4, vrem int4)",
       /*74*/"CREATE INDEX Pzpd_i1 on Pzpd (tp, nomd)",
       /*
	 tp	0- 1-
	 datd     
	 datp	 
	 nomd	 
	 suma	 
       */
       "\0"
};
char *Description[] = {
  /*1*/"    Plansh !\n",
       /*2*/"   Kontragent !\n",
       /*3*/"   \n",
       /*4*/"       Skontr!\n",
       /*5*/"     !\n",
       /*6*/"     \n",
       /*7*/"   !\n",
       /*8*/" 1-   \n",
       /*9*/" 2-   \n",
       /*10*/"     !\n",
       /*11*/"     !\n",
       /*12*/"    !\n",
       /*13*/"    \n",
       /*14*/"     !\n",
       /*15*/"     !\n",
       /*16*/"     !\n",
       /*17*/"    !\n",
       /*18*/"    !\n",
       /*19*/"    \n",
       /*20*/"    !\n",
       /*21*/" 1-    \n",
       /*22*/" 2-    \n",
       /*23*/" 3-    \n",
       /*24*/"     !\n",
       /*25*/" 1-     \n",
       /*26*/" 2-     \n",
       /*27*/" 3-     \n",
       /*28*/"      !\n",
       /*29*/"     !\n",
       /*30*/"     \n",
       /*31*/"    !\n",
       /*32*/"     !\n",
       /*33*/" 1-     \n",
       /*34*/" 2-     \n",
       /*35*/"  Kartb !\n",
       /*36*/"   Kartb\n",
       /*37*/"   Nash !\n",
       /*38*/"   Uder !\n",
       /*39*/"   Podr !\n",
       /*40*/"   Kateg !\n",
       /*41*/"   Zvan !\n",
       /*42*/"     Gnali !\n",
       /*43*/"   Tabel !\n",
       /*44*/"     Zsal !\n",
       /*45*/"    Ztab !\n",
       /*46*/"     Ztab\n",
       /*47*/"    Zarp !\n",
       /*48*/"      Zarn !\n",
       /*49*/"       Zarn\n",
       /*50*/"     / Zarn1 !\n",
       /*51*/"     Pltp.\n",
       /*52*/"      Pltpz.\n",
       /*53*/"       Pltpz.\n",
       /*54*/"     Pltt.\n",
       /*55*/"      Pltt.\n",
       /*56*/"      Plttz.\n",
       /*57*/"       Plttz.\n",
       /*58*/"      pltt.\n",
       /*59*/"       pltt.\n",
       /*60*/"       Tplttz.\n",
       /*61*/"        Tplttz.\n",
       /*62*/"      pltp.\n",
       /*63*/"       pltp.\n",
       /*64*/"       Tpltpz.\n",
       /*65*/"        Tpltpz.\n",
       /*66*/"      Opltp !\n",
       /*67*/"      Opltt !\n",
       /*68*/"       Obqvka !\n",
       /*69*/"        Oznvb !\n",
       /*70*/"     Ktnp !\n",
       /*71*/"     Ktnt !\n",
       /*72*/"       Ksn !\n",
       /*73*/"     Pzpd !\n",
       /*74*/"      Pzpd !\n",
"\0"
};

/* FIXME   */
pid_t		mypid;
char		imabaz[20];
struct  passwd  *ktor;
int	kassa=0;
char	*organ;
char	*putnansi;

int             main(int argc, char *argv[], char *envp[]) {
  char            data[24][80]; /*    */
  short           dls[24];      /*    */
  int		par;
  char		strsql[1000];
  SQL_baza bd;
  SQL_cursor *cursor;
  SQL_str row; 
  /*
    MYSQL	  bd;
    MYSQL_RES *cursor;
    MYSQL_ROW row;
  */
  char		parol[20],parolpol[20];
  char		host[30];
  char		imapol[20];
  char imadm[20];
  int		i;
  int z;

init_screen();

memset(imabaz,'\0',sizeof(imabaz));
memset(imapol,'\0',sizeof(imapol));
memset(parol,'\0',sizeof(parol));
memset(parolpol,'\0',sizeof(parolpol));
memset(host,'\0',sizeof(host));
i=5;

move(i++,0);
printw("   - ");
refresh();
mygetstr(imadm, sizeof(imadm),stdscr);

move(i++,0);
printw("   - ");
refresh();
mygetstr(parol,sizeof(parol),stdscr);

move(i++,0);
printw("   - ");
refresh();
mygetstr(imabaz,sizeof(imabaz),stdscr);

if(imabaz[0] == '\0')
 strcpy(imabaz,"bx");

move(i++,0);
printw("   - ");
refresh();
mygetstr(imapol,sizeof(imapol),stdscr);

if(imapol[0] == '\0')
  strcpy(imapol,"sasa");

move(i++,0);
printw("   - ");
refresh();
mygetstr(parolpol,sizeof(parolpol),stdscr);

if(parolpol[0] == '\0')
  strcpy(parolpol,"aaa");
  
move(i++,0);
printw("  - ");
refresh();
mygetstr(host, sizeof(host),stdscr);

if(host[0] == '\0')
  strcpy(host,"localhost");

#ifdef TTT

naz:;

clear();
sprintf(LL.MD[0]," .....");
sprintf(LL.MD[1],".");
sprintf(LL.MD[2],".......");
sprintf(LL.MD[3],".........");

LL.PY=1;  LL.PX=0; /*  */
LL.TEN=1;    /*  */

dls[0]=sizeof(imabaz); dls[1]=sizeof(kto); dls[2]=sizeof(parol);
dls[3]=sizeof(host);
dls[6]=sizeof(raz);
mvprintw(0,0,"  .\n");
helstr(LINES-1,0,"F2/+"," ","F10","",NULL);

par=vvod(&LL,0,1,3);
switch(par)
 {
  case FK10:
   return;

  case PLU:
  case FK2:
   break;

  default:
    continue;     
 }

strncpy(imabaz,data[0],sizeof(imabaz)-1);
strncpy(kto,data[1],sizeof(kto)-1);
strncpy(parol,data[2],sizeof(parol)-1);
strncpy(host,data[3],sizeof(host)-1);

#endif

memset(LL.MD,'\0',sizeof(LL.MD));

LL.PY=10;  LL.PX=15; /*  */

sprintf(LL.MD[0],"             : %s",imabaz);
sprintf(LL.MD[1],"   : %s",imapol);
sprintf(LL.MD[2],"  : %s",parolpol);
sprintf(LL.MD[3],"                : %s",host);
sprintf(LL.MD[4]," ?   ?");

printw("t\n");

/*
if(danet(&LL,2,0)  == 2)
 {
  endwin();
  return(1);
 }
*/

/*
refresh();

if(host[0] == '\0')
  strcpy(host,"localhost");
*/

/*
if(mysql_init(&bd) == NULL)
  printw("%s\n",mysql_error(&bd));
*/

fprintf(stderr, "   .\n");

printw("   .\n");

 if (sql_openbaz(&bd, "template1", host, imadm, parol)) {
   endwin();
   exit(10);
 }


/*                                                    */
 //if(mysql_real_connect(&bd,host,"root",parol,"mysql",0,NULL,0) == NULL)
/*                                                   Φ */
 // { 
 //  printw("%s\n",mysql_error(&bd));
 //  OSTANOV();
 //  endwin();
 //  exit(10);
 // } 

printw("  .\n");

 sprintf(strsql,"create database %s",imabaz);
 if (sql_zap(&bd, strsql)) {
   printw("%s\n", sql_error(&bd));
   endwin();
   exit(10);
 }
 //if(mysql_query(&bd,strsql) != 0)
 //  printw("%s\n",mysql_error(&bd));

 sql_closebaz(&bd);

printw("  .\n");
 if (sql_openbaz(&bd, imabaz, host, imadm, parol)) {
   printw("%s\n", sql_error(&bd));
   OSTANOV();
   endwin();
   exit(10);
 }

 //if(mysql_select_db(&bd,imabaz) < 0)
 // { 
 //  printw("%s\n",mysql_error(&bd));
 //  OSTANOV();
 //  endwin();
 //  exit(10);
 // } 

clear();

 for (z = 0; Query[z][0] != '\0'; z++) {
   printw(Description[z]);
   if (sql_zap(&bd, Query[z])) {
     printw("%s\n", sql_error(&bd));
     OSTANOV();
   } else {
     printw(" .\n\n");
   }
   refresh();
 }

/*//////////////////////////////////*/




/********************************************/

/*strcpy(imapol,"sasa");*/
					 //sprintf(strsql,"grant insert,select,delete,update,create,drop,file on \
//%s.* to %s@%s identified by '%s'",imabaz,imapol,host,parolpol);
//
//if(mysql_query(&bd,strsql) < 0)
// { 
//  printw("%s\n",mysql_error(&bd));
//  OSTANOV();
// } 
//else
// printw("  .\n\n");


printw("  .\n");
sql_closebaz(&bd); 
//mysql_close(&bd); 

refresh();
endwin();
return(0);
}
