ifndef CFLAGS
#	CFLAGS	= -s
	CFLAGS=-O -s 
#	CFLAGS	= -g -DDEBUG
endif

ifndef CNF
	CNF = -DCONFIG_PATH=\".\"
endif
MYSQLLIB=/usr/lib/mysql
MYSQLINC=/usr/include/mysql

CFLAGS += -I/usr/include/ncurses -I$(MYSQLINC) \
          -I../libscr -I../libutil $(CNF)

LOADLIBES+=../libdev/libiceBdev.a ../libutil/libutil.a ../libscr/libscr.a\
	 $(MYSQLLIB)/libmysqlclient.a -lncurses -lm \
         ../libconfig/libconfig.a

PROxbu= xbu.o \
        buhnast.o \
        clprov.o\
        devices.o dirshet.o dirkontr.o dirskont.o \
        dirsaldo.o dirprov.o \
        findprov.o \
        glkni.o guror.o gurorr.o gurgor.o guritog.o \
        korprov.o\
        opks.o \
        prvkp.o provud.o poivcur.o prpp.o poiprov.o prsh.o \
        rozrax.o rasprov.o rozr.o rozden.o rozdenr.o\
        salork.o smkont.o smesh.o salallk.o salorok.o\
        sqlfiltr.o sql_openbaz.o sql_closebaz.o sql_error.o sql_opencur.o \
        sql_closecur.o sql_seekcur.o sql_zap.o sql_readcur.o sql_readkey.o\
        udprov.o \
        vprov.o  vkontr.o \
        zapprov.o

xbu:	$(PROxbu) xbu.mak $(LOADLIBES)
	cc $(CFLAGS) $(PROxbu) -o xbu $(LOADLIBES)
