ifndef CFLAGS
#	CFLAGS	= -s
	CFLAGS=-O -s 
#	CFLAGS	= -g -DDEBUG
endif

ifndef CNF
	CNF = -DCONFIG_PATH=\".\"
endif
MYSQLLIB=/usr/lib/mysql
MYSQLINC=/usr/include/mysql

CFLAGS += -I/usr/include/ncurses -I$(MYSQLINC) \
          -I../libscr -I../libutil $(CNF)


LOADLIBES+=../libdev/libiceBdev.a ../libscr/libscr.a ../libutil/libutil.a \
	 $(MYSQLLIB)/libmysqlclient.a -lncurses -lm \
	../libconfig/libconfig.a

PROxmu= xmu.o \
        avtpromu.o \
        copdok.o \
        dirmat1.o dirkontr.o dirmatr.o dirdok.o dirzkart.o \
        dirshet.o dirprmu.o dirskont.o dirmusl.o \
        dvmat.o dvtmcf1.o dvtmcf2.o devices.o \
        korsdok.o \
        matnast.o matudd.o matud.o makkor.o makkorr.o motpk.o \
	matspo.o matstat.o matspor.o matstatr.o\
        nomnak.o nomkr.o \
        ostkar.o ostdok.o ostdok1.o optimbaz.o\
	provsh.o prospr.o prsh.o prdpp.o prihod.o podvdok.o poidog.o provud.o \
        podtdok.o perecen.o praisl.o prcn.o poivcur.o prognoz.o \
        rasdm20.o rashod.o rasmat.o rasdok.o rasdok2.o rasnaln.o rasko.o \
        rasoskr.o rasmoth.o raszkar.o rasosdk.o rasgrup.o rasspdok.o rasnds.o\
        rppvo.o rppvo1.o rozvse.o rozsvod.o readkolk.o readdok.o rscena.o\
        sozdmas.o salorok.o salork.o sumdok.o smdok.o\
        sqlfiltr.o sql_openbaz.o sql_closebaz.o sql_error.o sql_opencur.o \
        sql_closecur.o sql_seekcur.o sql_zap.o sql_readcur.o sql_readkey.o\
        udprov.o udprgr.o udkar.o \
        vdnd.o vmat.o vprov1.o vkontr.o vivost.o vvoddok.o \
        zapmpr.o zapdok.o zapkar.o zapvdok.o zapvkr.o zapprov.o

xmu:	$(PROxmu) xmu.mak $(LOADLIBES)
	cc $(CFLAGS) $(PROxmu) -o xmu $(LOADLIBES)
