ifndef CFLAGS
#	CFLAGS	= -s
	CFLAGS=-O -s 
#	CFLAGS	= -g -DDEBUG
endif

ifndef CNF
	CNF = -DCONFIG_PATH=\".\"
endif
MYSQLLIB=/usr/local/lib/mysql
MYSQLINC=/usr/local/include/mysql

CFLAGS += -I/usr/include/ncurses -I$(MYSQLINC) \
          -I../libscr -I../libutil $(CNF)

LOADLIBES+=../libdev/libiceBdev.a ../libutil/libutil.a ../libscr/libscr.a\
	 $(MYSQLLIB)/libmysqlclient.a -lncurses -lm \
         ../libconfig/libconfig.a

PROxpro= xpro.o \
        dirdok1.o dirmatr1.o dirmat1.o dirkontr.o dirshet.o devices.o\
        dvden.o dvmat.o\
        korsdok.o\
        matnast.o matudd.o makkor.o makkorr.o matud.o\
        nomnak.o \
        ostkar.o ostdok1.o\
        perecen.o praisl.o provud.o poivcur.o podvdok.o prsh.o prospr.o\
        rasdok.o rasnaln.o rasdok2.o rasko.o rasdm20.o rasosmat.o readkolk.o \
        readdok.o\
        salorok.o smdok1.o sozdmas.o sqlfiltr.o sumdok.o\
        sql_openbaz.o sql_closebaz.o sql_error.o sql_opencur.o \
        sql_closecur.o sql_seekcur.o sql_zap.o sql_readcur.o sql_readkey.o\
        udkar.o udprgr.o\
        vdnd.o vkontr.o vmat2.o\
        zapdok.o zapvdok.o

xpro:	$(PROxpro) xpro.mak $(LOADLIBES)
	cc $(CFLAGS) $(PROxpro) -o xpro $(LOADLIBES)
