ifndef CFLAGS
#	CFLAGS	= -s
	CFLAGS=-O -s 
#	CFLAGS	= -g -DDEBUG
endif

ifndef CNF
	CNF = -DCONFIG_PATH=\".\"
endif
MYSQLLIB=/usr/lib/mysql
MYSQLINC=/usr/include/mysql

CFLAGS += -I/usr/include/ncurses -I$(MYSQLINC) \
          -I../libscr -I../libutil $(CNF)


LOADLIBES+=../libdev/libiceBdev.a ../libutil/libutil.a ../libscr/libscr.a \
	 $(MYSQLLIB)/libmysqlclient.a -lncurses -lm \
	../libconfig/libconfig.a

PROxzp= xzp.o\
        alim.o\
        broscan.o boln.o\
        clearzar.o\
        dirzarp.o dirtab.o dirtabel.o dirmat1.o dirzarsl.o dirskont.o\
        dirkontr.o dolhn.o\
        findnahm.o findnah.o\
        kateg.o kasord.o kredit.o katsp.o koresh.o konrz.o\
        matpom.o\
        nahud.o\
        otrsh.o\
        podoh.o podohrs.o poivcur.o poifl.o provud.o prsh.o prbper.o prbper1.o\
        pnr.o provsh.o prosmas.o profs.o procent.o promes.o pernash.o perras.o\
        rasdolgi.o rasdolgi1.o rasnu.o rasnuptn.o rasved.o rastab.o redkal.o \
        reestal.o rspis.o\
        salork.o salorok.o sprkvrt.o snubls.o sumprz.o spdat.o spiin.o\
        spiinzs.o spininu.o sprsov.o\
        sqlfiltr.o svodnu.o\
        sql_openbaz.o sql_closebaz.o sql_error.o sql_opencur.o \
        sql_closecur.o sql_seekcur.o sql_zap.o sql_readcur.o sql_readkey.o\
        udprgr.o\
        vdinf.o vedprz.o vkart.o vkart1.o vkontr.o vibkod.o vztb.o\
        zaravpr.o zapzarp.o zapzarn1.o zapkrtb.o zarnast.o zarspek.o zapzarn.o\
        zapprov.o zarraspr.o zarsald.o zarsprpr.o zarspi.o zarudkar.o zapmpr.o\
        zvanie.o zapmas.o\
        tabel.o tabnom.o

xzp:	$(PROxzp) xzp.mak $(LOADLIBES)
	cc $(CFLAGS) $(PROxzp) -o xzp $(LOADLIBES)
