#include <stdio.h>
/* #define DEBUG 1 */
#include "libconfig.h"

char usage[] = { "Usage:\n\tconfig_get <config_file> <section> <var>\n\n" };

int main(int argc, char *argv[])
{
  config_t foo;
  int i;

  int t, count;
  char *svar;

  if (argc != 4) {
     fprintf(stderr, usage);
     exit(2);
  }
    
  config_new(&foo);  
  if(config_read(&foo, argv[1],
		 CS_INI, NULL)) {
	perror(argv[1]);
	exit(2);
  };

  if ((i = config_get(foo, argv[2], argv[3], NULL,
	       &t,(void**) &svar, &count)) == 0) {
    printf("%s\n", svar);
  } else exit(1);

  config_destroy(&foo);
  return 0;
}
