ifndef CFLAGS
#	CFLAGS	= -s
	CFLAGS=-O -s 
#	CFLAGS	= -g -DDEBUG
endif

ifndef CNF
	CNF = -DCONFIG_PATH=\".\"
endif

CFLAGS += -I/usr/include/ncurses -I/usr/local/include/mysql \
          -I../libscr -I../libutil $(CNF)

MYSQLLIB=/usr/local/lib/mysql

LOADLIBES+=../libdev/libiceBdev.a ../libutil/libutil.a ../libscr/libscr.a\
	 $(MYSQLLIB)/libmysqlclient.a -lncurses -lm \
	../libconfig/libconfig.a

PROzagtab= zagtab.o\
         ../buhg/sql_openbaz.o ../buhg/sql_closebaz.o \
         ../buhg/sql_zap.o ../buhg/sql_error.o


zagtab:	$(PROzagtab) zagtab.mak $(LOADLIBES)
	cc $(CFLAGS) $(PROzagtab) -o zagtab $(LOADLIBES)
